DROP MATERIALIZED VIEW V_WEB_ATM_BASE;
CREATE MATERIALIZED VIEW "V_WEB_ATM_BASE"
    ORGANIZATION HEAP PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS
    LOGGING
    STORAGE (INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
    PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT
)
    TABLESPACE "OTHERS"
    BUILD IMMEDIATE
    USING INDEX
    REFRESH COMPLETE ON DEMAND START WITH sysdate + 0 NEXT SYSDATE + 1 / 48
    USING DEFAULT LOCAL ROLLBACK SEGMENT
    DISABLE QUERY REWRITE
    AS SELECT DECODE (t2.value, '1', '1', '2'
) ind, t1.pid, t1.termchar
    FROM (
    SELECT DECODE (
            LOWER (r.dev_type), 'dieboldatm', '60',
            'wincoratm', '69', '2') ind0,
            r.pid, t.termchar, is_new
            FROM rt_tab r, (SELECT 1
AS is_new, pid, atm_type
AS termchar
    FROM t_atm_def
    UNION
    SELECT 2
AS is_new, ID, termchar
    FROM def_tab
) t
    WHERE r.pid = t.pid
) t1 LEFT JOIN T_MODULE_ATTRIBUTE t2
    ON t1.ind0 = t2.TASK_ID AND t2.ATTRIBUTE_ID = 1
    WHERE is_new=DECODE (t2.value, '1', '1', '2'
);
